|  | Home · All Classes · Modules

# QPanGesture Class Reference
[QtGui module]

The QPanGesture class describes a panning gesture made by the user. More...

Inherits QGesture.

### Methods

- __init__ (self, QObject parent = None)
- float acceleration (self)
- QPointF delta (self)
- QPointF lastOffset (self)
- QPointF offset (self)
- setAcceleration (self, float value)
- setLastOffset (self, QPointF value)
- setOffset (self, QPointF value)

## Detailed Description

The QPanGesture class describes a panning gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures Programming document.

## Method Documentation

### QPanGesture.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### float QPanGesture.acceleration (self)

### QPointF QPanGesture.delta (self)

### QPointF QPanGesture.lastOffset (self)

### QPointF QPanGesture.offset (self)

### QPanGesture.setAcceleration (self, float value)

### QPanGesture.setLastOffset (self, QPointF value)

### QPanGesture.setOffset (self, QPointF value)